Skip to content
GAMPEONCreate
New project

Preview card for a link

GET
/v1/link-preview
curl --request GET \
--url 'https://api.gampeon.com/v1/link-preview?url=example' \
--header 'Authorization: Bearer <token>'

Title and site name of an https page, for the post form. We don’t load images or descriptions from other sites. Previews are kept for 7 days.

Not available with access tokens.

Rate limit: 60 per hour per account.

url
required
string

Https link, up to 500 characters

Card (title null if the page has none or can’t be reached)

Media typeapplication/json
object
url
required
string
domain
required

Host without www.

string
title
required
One of:

Page title (og:title or ), up to 200 characters. <code>null</code> until the preview has been fetched</p> </div><div><span class="sl-openapi-type astro-pjgx37xj">string</span></div></starlight-tab-item><starlight-tab-item data-label="null"><div><span class="sl-openapi-type astro-pjgx37xj">null</span></div></starlight-tab-item>

siteName
required
One of:

Og:site_name

string
youtube
required
One of:

YouTube video ID, for a click-to-play embed

string

Example generated

{
"url": "example",
"domain": "example",
"title": "example",
"siteName": "example",
"youtube": "example"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 60 per hour per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback